Bug 1813012 - EtcdDiscoveryDomain no longer needed
Summary: EtcdDiscoveryDomain no longer needed
Keywords:
Status: POST
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Suresh Kolichala
QA Contact: ge liu
URL:
Whiteboard:
Depends On: 1872001
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-12 18:01 UTC by Luis Sanchez
Modified: 2020-09-11 12:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1872001 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 4062 None closed Bug 1813012: Remove legacy code for unmanaged cluster-etcd-operator 2020-09-16 15:08:30 UTC
Github openshift installer pull 4063 None closed Bug 1813012: Remove unused flags previously needed for etcd static pod 2020-09-16 15:08:30 UTC
Github openshift installer pull 4067 None open Bug 1813012: Remove unused etcd discovery domain 2020-09-16 15:08:31 UTC
Github openshift installer pull 4068 None closed Bug 1813012: Remove unused etcd host service and endpoints 2020-09-16 15:08:30 UTC
Github openshift machine-config-operator pull 2048 None closed Bug 1813012: Remove the unused flags and images used in the previous releases for etcd 2020-09-16 15:08:31 UTC

Description Luis Sanchez 2020-03-12 18:01:36 UTC
Description of problem:

In 4.4 etcd's dependence on DNS was removed, but a reference to the etcd discovery domain was retained in order to be able to create certificates compatible with both 4.3 & 4.4. We can now remove the etcd discovery domain in 4.5.

Version-Release number of the following components:
rpm -q openshift-ansible
rpm -q ansible
ansible --version

How reproducible:

Steps to Reproduce:
1.
2.
3.

Actual results:
Please include the entire output from the last TASK line through the end of output if an error is generated

Expected results:

Additional info:
Please attach logs from ansible-playbook with the -vvv flag

Comment 2 Abhinav Dahiya 2020-05-18 17:29:07 UTC
etcd team owns the etcd operator, so it would be nice if they can also own the migration or changes from old method to new one that make etcdsrvdomain not required.

Comment 3 Abhinav Dahiya 2020-05-19 19:34:34 UTC
THe linked PR https://github.com/openshift/installer/pull/3608/files does not clear out the EtcdDiscoveryDomain in the infrastructure object

Comment 4 Sam Batschelet 2020-05-19 20:00:55 UTC
@Abhinav apologies, updated PR to reflect.

Comment 7 Sam Batschelet 2020-06-20 11:36:05 UTC
We need to clean up a few things in the repo and remove the dependency for this data we are removing from the installer. We did not have time to address in 4.5 and will address as part of stabilization efforts in 4.6.


Note You need to log in before you can comment on or make changes to this bug.